[gtkmm] ANNOUNCE: gtkmm and glibmm 2.4.1

*** gtkmm and glibmm 2.4

gtkmm provides a C++ interface to GTK+. gtkmm 2.4 wraps additional API in GTK+ 2.4. 
gtkmm 2.4 installs in parallel with gtkmm 2.2, so you can have both installed at 
the same time. glibmm is now a separate module, for use in non-GUI software.

gtkmm stays in-sync with GTK+ by following the official GNOME release schedule:

Bindings for the rest of the GNOME Platform are also available, and are also 


*** Changes

glibmm 2.4.1:

* Build fixes for gcc 3.4.0.
* Doxygen not required when building from tarballs.
  (Murray Cumming)

gtkmm 2.4.1:

* Build fixes for gcc 3.4.0. (Murray Cumming)
* Install gdkmmconfig.h in the correct place.
  (Murray Cumming)
* Install atkmm/private headers in the correct place.
  (Alexander Nedotsukov)

*** Download


You will need libsigc++ 2, available here: 

*** Development 

There is active discussion on the mailing list: 
and in the #c++ channel on irc.gnome.org

Murray Cumming
murray usa net

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]